Portal

Difference between revisions of "Upgrading Versions"

From Joomla! Documentation

(Marked this version for translation)
(Some markup changes.)
Line 8: Line 8:
 
<translate>
 
<translate>
 
<!--T:2-->
 
<!--T:2-->
Since version 1.7, the updating and upgrading of Joomla are built into the [[S:MyLanguage/Administrator (Application)|administration]] interface as a component. The terms updating and upgrading might be used interchangeably. In many ways, updating and upgrading are alike since Joomla 1.7, but you will need to pay very close attention to the details. To help define them better, it is recommended you use the term migration which would be defined as a major.minor(2.5) to a different major.minor(3.1) version.
+
Since version 1.7, the updating and upgrading of Joomla is built into the [[S:MyLanguage/Administrator (Application)|administration]] interface as a component. The terms ''updating'' and ''upgrading'' might be used interchangeably. In many ways, updating and upgrading are alike since Joomla 1.7, but you will need to pay very close attention to the details. To help define them better, it is recommended you use the term ''migration'' which would be defined as a major.minor (2.5) to a different major.minor (3.1) version.
 
</translate>
 
</translate>
  
 
<translate>
 
<translate>
 
==Simple Updating== <!--T:3-->
 
==Simple Updating== <!--T:3-->
Updates are an easy update to the next '''maintenance release''' and are backwards compatible, eg version 2.5.13 to version 2.5.14 or the version 1.7.x to 2.5.28. For Joomla CMS 3, these updates span all minor and maintenance releases. Some examples are version 3.1.2 to 3.3.6 and 3.3.1 to 3.3.6. Please see the specific pages to review version '''from''' and '''to'''.
+
Updates are an easy path to the next '''maintenance release''' and are backwards compatible, for example, version 2.5.13 to version 2.5.14. For Joomla CMS 3, these updates span all minor and maintenance releases. Some examples are version 3.1.2 to 3.3.6 and 3.3.1 to 3.3.6. Please see the specific pages to review version '''from''' and '''to'''.
 
*[[S:MyLanguage/J3.1:Updating from an existing version|Updating a Joomla CMS 3.x.x Installation]]
 
*[[S:MyLanguage/J3.1:Updating from an existing version|Updating a Joomla CMS 3.x.x Installation]]
 
**[[S:MyLanguage/J3.x:Updating Joomla (Update Method)|Updating Joomla CMS 3.x.x (Update Method)]] '''''recommended method'''''
 
**[[S:MyLanguage/J3.x:Updating Joomla (Update Method)|Updating Joomla CMS 3.x.x (Update Method)]] '''''recommended method'''''
Line 24: Line 24:
 
<translate>
 
<translate>
 
== Migration == <!--T:4-->
 
== Migration == <!--T:4-->
The documentation below is a funnel starting with Why Migrate. Simply follow the buttons at the bottom of each page that are applicable to you. The Self Assessment will help you determine if doing the migration is within your skill set. Please don't skip the Planning pages as it includes important information for your migration.
+
The documentation below is a funnel starting with Why Migrate. Simply follow the buttons at the bottom of each page that are applicable to you. The Self Assessment will help you determine if doing the migration is within your skill set. Please don't skip the Planning pages as they include important information for your migration.
 
</translate>
 
</translate>
  
Line 61: Line 61:
  
 
{{note|<translate><!--T:9-->
 
{{note|<translate><!--T:9-->
Above all, realise without the correct preparation and knowledge, you may break your 'live' site.</translate>|title=Just Remember!|type=serious}}
+
Above all, realise without the correct preparation and knowledge, you may break your ''live'' site.</translate>|title=Just Remember!|type=serious}}
  
 
<translate>
 
<translate>
 
=== Legacy Migration === <!--T:17-->
 
=== Legacy Migration === <!--T:17-->
Documentation on migration of a legacy version to another legacy version, eg 1.0 to 1.5 or 1.5 to 2.5.
+
Documentation on migration of a legacy version to another legacy version, for example from 1.0 to 1.5 or 1.5 to 2.5.
*[[S:MyLanguage/Planning Migration and Step by Step- Joomla 1.0 to 1.5|Planning Migration and Step by Step- Joomla 1.0 to 1.5]]
+
*[[S:MyLanguage/Planning Migration and Step by Step - Joomla 1.0 to 1.5|Planning Migration and Step by Step- Joomla 1.0 to 1.5]]
 
*[[S:MyLanguage/Migrating from Joomla 1.5 to Joomla 2.5|Migrating from Joomla 1.5 to Joomla 2.5]]
 
*[[S:MyLanguage/Migrating from Joomla 1.5 to Joomla 2.5|Migrating from Joomla 1.5 to Joomla 2.5]]
 
</translate>
 
</translate>
 +
 
<translate>
 
<translate>
 
 
== Historical Legacy Documentation == <!--T:10-->
 
== Historical Legacy Documentation == <!--T:10-->
  
 
<!--T:11-->
 
<!--T:11-->
Use the links below for legacy documentation for older versions of Joomla! or lesser used versions of Joomla! You are encouraged to search the [http://forum.joomla.org/ Joomla! Community forum] for even more information and education prior to starting your upgrades/migrations.
+
Use the links below for legacy documentation for older versions of Joomla! or lesser-used versions of Joomla! You are encouraged to search the [https://forum.joomla.org/ Joomla! Community forum] for even more information and education prior to starting your upgrades/migrations.
 
</translate>
 
</translate>
  

Revision as of 17:24, 13 July 2022

Other languages:
Bahasa Indonesia • ‎Deutsch • ‎English • ‎Nederlands • ‎català • ‎español • ‎français • ‎italiano • ‎português • ‎български • ‎русский • ‎فارسی • ‎ไทย • ‎中文(中国大陆)‎ • ‎中文(台灣)‎ • ‎日本語

Before you begin, it is essential you know what version of Joomla! you are using. This is especially true if you are changing to a major version. If you are already confused or don't know what a major version is, you should read more about the release and support cycle of Joomla CMS Versions. Joomla is released with the following version designations: [major].[minor].[maintenance]. For example, version 3.9.5 is Joomla major version 3, minor 9, and maintenance release 5.

Since version 1.7, the updating and upgrading of Joomla is built into the administration interface as a component. The terms updating and upgrading might be used interchangeably. In many ways, updating and upgrading are alike since Joomla 1.7, but you will need to pay very close attention to the details. To help define them better, it is recommended you use the term migration which would be defined as a major.minor (2.5) to a different major.minor (3.1) version.

Simple Updating[edit]

Updates are an easy path to the next maintenance release and are backwards compatible, for example, version 2.5.13 to version 2.5.14. For Joomla CMS 3, these updates span all minor and maintenance releases. Some examples are version 3.1.2 to 3.3.6 and 3.3.1 to 3.3.6. Please see the specific pages to review version from and to.

Migration[edit]

The documentation below is a funnel starting with Why Migrate. Simply follow the buttons at the bottom of each page that are applicable to you. The Self Assessment will help you determine if doing the migration is within your skill set. Please don't skip the Planning pages as they include important information for your migration.

Migration 1.5 to 3.x[edit]

Migration 2.5 to 3.x[edit]

Migration 3.10 to 4.x (in progress)[edit]

Other Migration Considerations[edit]

Above all, realise without the correct preparation and knowledge, you may break your live site.

Legacy Migration[edit]

Documentation on migration of a legacy version to another legacy version, for example from 1.0 to 1.5 or 1.5 to 2.5.

Historical Legacy Documentation[edit]

Use the links below for legacy documentation for older versions of Joomla! or lesser-used versions of Joomla! You are encouraged to search the Joomla! Community forum for even more information and education prior to starting your upgrades/migrations.

Upgrading to 3.10[edit]

Upgrading 1.6.5, 1.6.6, 1.7.x, 2.5.x to 3.x is covered by the following page.

Updating from an existing version - 3.10

Upgrading to J2.5[edit]

Upgrading 1.6.5, 1.6.6, 1.7.x, to 2.5 is covered by the following page.

Upgrading to Joomla CMS version 2.5

Upgrading from 1.6.x(not 1.6.5 or 1.6.6 Versions)[edit]

You must upgrade to Version 1.7 first if you are on version of 1.6 below the maintenance release of 1.6.5.

Upgrading Version 1.6.5 or 1.6.6 to Version 1.7